Skip to content
LydieDevelopers
Menu

List notifications

View as Markdown
GET/v1/notifications

Your notifications, newest first. Archived ones only with archived: true.

docs:readRead-only
Request
curl "https://api.lydie.co/v1/notifications" \
  -H "Authorization: Bearer $LYDIE_TOKEN"

Query parameters

  • workspaceIdstring· 1–64 chars
  • unreadboolean

    Only unread ones.

    Default false

  • archivedboolean

    Archived ones instead of the inbox.

    Default false

  • beforestring· 1–64 chars

    Page: notifications older than this id.

  • limitinteger· 1–200

    Default 50

Response

  • notificationsNotification[]
    Show 9 fields
    • idstring· 1–64 chars
    • workspaceIdstring· 1–64 chars
    • kindstring

      One ofmentionshareinvitation_acceptedassigned

    • documentIdstringor null
    • actorIdstringor null

      Who caused it; null when unknown.

    • dataobject

      mention: { title, actorName, snippet }; share: { title, actorName, level }; invitation_accepted: { email, name, workspaceName, documentId? }; assigned: { title, actorName, propertyName, propertyId, databaseId }

    • readAtstringor null
    • archivedAtstringor null
    • createdAtstring
  • unreadinteger
200
{
  "notifications": [
    {
      "id": "string",
      "workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
      "kind": "mention",
      "documentId": null,
      "actorId": null,
      "data": {},
      "readAt": null,
      "archivedAt": null,
      "createdAt": "string"
    }
  ],
  "unread": -9007199254740991
}

Errors use one envelope for every endpoint. See Errors and versions.